Attribute VB_Name = "GridHandling"
Option Explicit

Public Sub EnterGridData(targetGrid As MSFlexGrid, tgtRow As Long, tgtCol As Long, Txt As String)
    'Inserts a pice of text into the specified cell of the specified grid
    targetGrid.Col = tgtCol
    targetGrid.Row = tgtRow
    targetGrid.Text = Txt
    
End Sub

Public Function GetGridData(targetGrid As MSFlexGrid, tgtRow As Long, tgtCol As Long) As String
    'Returns the contents of the specified cell as a string
    targetGrid.Col = tgtCol
    targetGrid.Row = tgtRow
    GetGridData = Trim(targetGrid.Text)
    
End Function

Public Sub BlankOutGrid(targetGrid As MSFlexGrid)
    'Erases all the contents of a grid
    'Replaces the Clear method which would also remove the formating
    Dim lngRowCounter As Long
    Dim lngColCounter As Long
    
    For lngRowCounter = 0 To targetGrid.Rows - 1
        For lngColCounter = 1 To targetGrid.Cols - 1
            Call EnterGridData(targetGrid, lngRowCounter, lngColCounter, "")
        Next
    Next
            
End Sub

Public Sub SetGridForeColor(tgtGrid As MSFlexGrid, tgtRow As Long, tgtCol As Long, tgtColor As Long)
    'Sets the foreground color of the specified cell in the specified grid
    tgtGrid.Col = tgtCol
    tgtGrid.Row = tgtRow
    tgtGrid.CellForeColor = tgtColor
    
End Sub

Public Sub SetGridBoldText(tgtGrid As MSFlexGrid, tgtRow As Long, tgtCol As Long)
    'Sets the Bold property of the text in the specified cell to true
    tgtGrid.Col = tgtCol
    tgtGrid.Row = tgtRow
    tgtGrid.CellFontBold = True
    
End Sub


Public Sub CopyGrid(Consumer As MSFlexGrid, Supplier As MSFlexGrid)
    'Copies the contents of one grid to another
    'Consumer must be at least as large as the Supplier
    Dim lngRowCounter As Long
    Dim lngColCounter As Long
    
    
    For lngColCounter = 0 To Supplier.Cols - 1
        Supplier.Col = lngColCounter
        Consumer.Col = lngColCounter
        'Copy alignment and column width
        Consumer.ColWidth(lngColCounter) = Supplier.ColWidth(lngColCounter)
        Consumer.ColAlignment(lngColCounter) = Supplier.ColAlignment(lngColCounter)
        For lngRowCounter = 0 To Supplier.Rows - 1
            Supplier.Row = lngRowCounter
            Consumer.Row = lngRowCounter
            'Copy Text and cell coloring
            Consumer.Text = Supplier.Text
            Consumer.CellForeColor = Supplier.CellForeColor
        Next
    Next
            
End Sub

Public Sub EnterRowNumbers(objGrid As MSFlexGrid)
    Dim lngRowCounter As Long
    
    objGrid.Col = 0
    For lngRowCounter = 1 To objGrid.Rows - 1
        objGrid.Row = lngRowCounter
        objGrid.Text = Str(lngRowCounter) & " "
    Next
End Sub
